LZMA(1)

NAME
LZMA - a compression algorithm, based on Lempel Ziv's compression method.

SYNOPSIS
lzma <e|d> inputFile outputFile [switches...]

DESCRIPTION
LZMA provides high compression ratio and very fast decompression, so it is very suitable for embedded applications. For example, it can be used for ROM (firmware) compression.

lzma is the default and general compression method of 7z format in 7-Zip program.

FUNCTION LETTERS

e   Encode file

d   Decode file

b   Benchmark

SWITCHES

-a{N}
    Set compression mode - [0, 1], default: 1 (max)

-d{N}
    Set dictionary - [0,30], default: 23 (8MB)

-fb{N}
    Set number of fast bytes - [5, 273], default: 128

-mc{N}
    Set number of cycles for match finder

-lc{N}
    Set number of literal context bits - [0, 8], default: 3

-lp{N}
    Set number of literal pos bits - [0, 4], default: 0

-pb{N}
    Set number of pos bits - [0, 4], default: 2

-mf{MF_ID}
    Set Match Finder: [bt2, bt3, bt4, hc4], default: bt4

-eos
    Write End Of Stream marker

-si Read data from stdin

-so Write data to stdout

SEE ALSO
7z(1),7za(1)

AUTHOR

Written for Debian by Mohammed Adnene Trojette.